/*****************************************************************
Title:  Kosntants.java
Date:   12/5/00
Author: Michael Larson

Comments:
Global container for constants used in StreamHealth
*******************************************************************/

package streamhealth;

public class Konstants {

//reporting file extentions
    final static String kFILE_EXTENSION_BAD = ".bkn";	//stream is broken/down
    final static String kFILE_EXTENSION_OK = ".ok";	//stream is delivering normally
    final static String kFILE_EXTENSION_UNK = ".unk";	//stream status is unknown
	
//types of streams that we support
    final static String kTYPE_STREAM_UNDEFINED = "undefined";	//undefined, different interpretation from a null field
    final static String kTYPE_STREAM_VIDEO = "rtsp_video";		//streaming video delivery
    final static String kTYPE_STREAM_IMAGE = "http_image";		//normal http streaming static image delivery

//values that are loaded in during initialization of StreamHealth
    static public String mStreamHealthConfigFile = null;		//location of configuration file
    static public String mStreamDataFile = null;				//location of StreamList.xml
    static public String mReportDir = null;					//directory to report results to

    public Konstants() {super();}

    final static int kOPSTATUS_STREAM_BAD = 2;				//stream is not sending data	
    final static int kOPSTATUS_STREAM_OK = 1;				//data is being received		

//stream status values
    final static int kOPSTATUS_STREAM_UNDEFINED = 0;		//don't know the determine state of stream yet	
    final static String kOPSTATUS_STRING[] = {"Undefined", "OK", "Bad"};	//text for the states listed above	
    final static int kSTATE_ADDED = 1;				//stream has been added but not checked	
    final static int kSTATE_DELETED = 2;			//stream has been deleted	

//StreamData state
    final static int kSTATE_UNCHANGED = 0;			//previously existing stream	
    final static int kSTATE_UNDEFINED = 4;			//don't know what the state is	
    final static int kSTATE_UPDATED = 3;			//status has been updated	

//events that are posted to the ReportMgr
    final static int kSTATUS_HAS_STARTED = 0;			//for the reporting object to notify of the start of an update	
    final static int kSTATUS_IS_COMPLETE = 2;			//for the reporting object ot identify a complete update	
    final static int kSTATUS_IS_UPDATED = 1;				//for the reporting object to identify an update status	
    final static int kSTATUS_NO_STREAMS = 3;				//special event for error state	
    static public Integer mDelayBetweenCycles = null;		//delay between cycles	
    static public Integer mDelayBetweenStreams = null;		//delay between stream initialization	
    static public String mHTMLReportStatusDoc = null;		//html Report Status location	
    static public boolean mNotifyOfNoStreams = false;		//will no streams be reported as an event?
}
