/*****************************************************************
Title:  ReportDIR.java
Date:   12/5/00
Author: Michael Larson

Comments:
This contains the ReportDIR implementation of the Report interface.
This object is designed to create a unique file that contains the status
of the stream being monitored. This allows another process to monitor
the directory of interest and response to bad streams.
*******************************************************************/

package streamhealth;

import java.util.*;
import java.io.*;

public class ReportDIR implements Report{

	
public ReportDIR() {}

private void clear(StreamData sd) {
	
	try {
		//delete both for simplicity of source
		new File(sd.mURL + Konstants.kFILE_EXTENSION_OK).delete();
		new File(sd.mURL + Konstants.kFILE_EXTENSION_BAD).delete(); } 
	catch (Exception e) {
		//don't bother reporting this exception
		}
}

public void finishUpdate(ArrayList aList) {}
public void reportGeneralError() {}

public void startUpdate(ArrayList aList) {
	Iterator iter;
	StreamData sd;
	
	//here is where we want to update the report and remove all the old not found entries
	iter = aList.iterator();
	while (iter.hasNext()) {
		sd = (StreamData)iter.next();
		clear(sd); }
}

public void update(ArrayList aList) {		
	StringBuffer fname;
	int pos, len;
	StreamData sd;
	char ch;
	Iterator iter;
	
	iter = aList.iterator();
	
	while (iter.hasNext()) {
		sd = (StreamData)iter.next();
		//need to create unique filename based on URL	
		//first replace any directory "/" with "$"
		if (sd.mURL != null) {
			fname = new StringBuffer(sd.mURL);
			len = fname.length();
			for (pos = 1; pos < len; pos++) {		//skip the first forward slash
				ch = fname.charAt(pos);
				if (ch == '/') {
					fname.setCharAt(pos, '$'); } }
			
			try {
				if (sd.mOpStatus == Konstants.kOPSTATUS_STREAM_OK) {
					//write the good file name and delete the bad if it is found
					new FileWriter(Konstants.mReportDir + fname + Konstants.kFILE_EXTENSION_OK);
					new File(Konstants.mReportDir + fname + Konstants.kFILE_EXTENSION_BAD).delete(); }
				else {
					//write the bad file name and delete the good if it is found
					new FileWriter(Konstants.mReportDir + fname + Konstants.kFILE_EXTENSION_BAD);
					new File(Konstants.mReportDir + fname + Konstants.kFILE_EXTENSION_OK).delete(); } }
			catch (IOException e) {	
					System.out.println("Exception thrown in reportResults(): " + e); } } } }}










