/*****************************************************************
Title:  ReportHTML.java
Date:   12/5/00
Author: Michael Larson

Comments:
ReportHTML is HTML implementation of the Report Interface. This object
creates HTML document(s) that show the status of the currently 
monitor video streams. This object only updates at the end of a checking
cycle.
*******************************************************************/

package streamhealth;

import java.util.*;
import java.io.*;

public class ReportHTML implements Report{
public ReportHTML() { }

private void createAuxillaryReport() {}
private void createAuxillaryReport(String fname, ArrayList auxList) {
/*
	Report on the status of the streams via an HTML file.
*/
	PrintWriter pw = null;
	Vector streams;
	Iterator iter;
	StreamData sd;
	int iCt = 0, len;
	String auxName = null, str;
	boolean bColorFlag = true;

	//create the document object
	try {
		pw = new PrintWriter(new FileWriter(fname));

		pw.print("<HTML>");
		pw.print("<HEAD>");
		pw.print("<TITLE>Stream Auxillary Status</TITLE>");
		pw.print("</HEAD>");
		pw.print("<BODY bgcolor='#FFFFCC'>");
		pw.print("<p align='center'><b>Stream Status</b><br>");
		pw.print(new Date().toString() + "</p>");
		pw.print("<div align='center'>");
		pw.print("<table width='100%' border='0' cellpadding='0' cellspacing='0' align='center'>");
		pw.print("<tr align='center' width='100%'><b>Report</b></tr>");

		iter = auxList.iterator();
		while (iter.hasNext()) {
			str = (String) iter.next();
			if (bColorFlag == true) {
				bColorFlag = false;
				pw.print("<tr bgcolor='#eeeeeeee' border='0'>"); }
			else {
				bColorFlag = true;  
				pw.print("<tr border='0'>"); }
			pw.print(str + "</tr><br>"); }
		pw.print("</div>");
		pw.print("</BODY>");
		pw.print("</HTML>");

		pw.close(); }
	catch (IOException ioe) {
		System.out.println("Exception thrown in Report$ReportHTML:createAuxillaryReport() " + ioe); }
	finally {
		if (pw != null) {
			pw.close(); } }	
	}

public void finishUpdate(ArrayList aList) {
	PrintWriter pw;
	Vector streams;
	Iterator iter;
	StreamData sd;
	int iCt = 0, len;
	String auxName = null;
	boolean bColorFlag = true;

	try {
		pw = new PrintWriter(new FileWriter(Konstants.mHTMLReportStatusDoc)); 

		
		pw.print("<HTML>");
		pw.print("<HEAD>");
		pw.print("<TITLE>Stream Status</TITLE>");
		pw.print("</HEAD>");
		pw.print("<BODY bgcolor='#FFFFCC'>");
		pw.print("<p align='center'><b>Stream Status</b><br>");
		pw.print(new Date().toString() + "</p>");
		pw.print("<div align='center'>");
		pw.print("<table width='100%' border='0' cellpadding='0' cellspacing='0' align='center'>");

		pw.print("<td align='center' width='25%'><b>Stream</b></td>");
		pw.print("<td align='center' width='25%'><b>Status</b></td>");
		pw.print("<td align='center' width='25%'><b>Last Checked</b></td>");
		pw.print("<td align='center' width='25%'><b>Server Response</b></td>");


		iter = aList.iterator();
		while (iter.hasNext()) {
			sd = (StreamData) iter.next();
			if (sd.mURL != null) {
				if (bColorFlag == true) {
					bColorFlag = false;
					pw.print("<tr bgcolor='#eeeeeeee' border='0'>"); }
				else {
					bColorFlag = true;  
					pw.print("<tr border='0'>"); }
				pw.print("<td width='25%'>" + "<A href='http://" + sd.mServer + sd.mURL + ":" + sd.mPort + "'>" + sd.mURL + "</A>"+ "</td>");
				pw.print("<td align='center' width='25%'>" + Konstants.kOPSTATUS_STRING[sd.mOpStatus] + "</td>");
				pw.print("<td align='center' width='25%'>" + sd.mTimeOfLastTest + "</td>");
				if (sd.mAddConnInfo != null) {
					len = Konstants.mHTMLReportStatusDoc.length();
					auxName = Konstants.mHTMLReportStatusDoc.substring(0,len-5) + iCt + Konstants.mHTMLReportStatusDoc.substring(len-5,len);
					pw.print("<td align='center' width='25%'>" + "<A href='" + auxName + "'>" + sd.mServerResponse + "</td>"); 
					createAuxillaryReport(auxName, sd.mAddConnInfo); 
					iCt++; }
				else {
					pw.print("<td align='center' width='25%'>" + sd.mServerResponse + "</td>"); }
					
				pw.print("</tr>"); } }
		pw.print("</div>");
		pw.print("</BODY>");
		pw.print("</HTML>");

		pw.close(); }
	catch (IOException e) {
		System.out.println("Exception thrown in Report$ReportHTML:finishUpdate() " + e); }
	
	}
public void reportGeneralError() {}
public void startUpdate(ArrayList aList) { }
public void update(ArrayList aList) {}}
