/*****************************************************************
Title:  StreamData.java
Date:   12/5/00
Author: Michael Larson

Comments:
StreamData is contains the information on a per-stream basis of the 
state of that stream. Copies are handed off to the ReportMgr.
*******************************************************************/

package streamhealth;

import java.util.*;

public class StreamData {

StreamData() {
	mOpStatus = Konstants.kOPSTATUS_STREAM_UNDEFINED;
	mState = Konstants.kSTATE_UNDEFINED;
}
	
ArrayList mAddConnInfo;		//this is a field that allows the socket to stuff in specific socket details	
StringBuffer mCode;			//additional piece of data to determine if the stream was changed since the last check	
int mOpStatus;				//streams current operating status	
int    mPort;				//port on server	
String mServer;			//server IP	
String mServerResponse;		//status returned from the server	
int mState;				//denotes whether this stream is deleted/added	
StreamWatch mSW;			//reference to its own streamwatch object	
String mTimeOfLastTest;		//time of last test	
StringBuffer mType;			//type of camera stream	
String mURL;				//combination of name and location

public StreamData(StreamData sd) {
	mCode = sd.mCode;
	mOpStatus = sd.mOpStatus;	
	mState = sd.mState;
	mType = sd.mType;
	mSW = sd.mSW;
	mAddConnInfo = sd.mAddConnInfo;
	mServer = sd.mServer;
	mPort = sd.mPort;
	
	if (sd.mServerResponse != null) {
		mServerResponse = new String(sd.mServerResponse); }
	if (sd.mTimeOfLastTest != null) {
		mTimeOfLastTest = new String(sd.mTimeOfLastTest); }
	if (sd.mURL != null) {
		mURL = new String(sd.mURL); }
	}public boolean equals(StreamData sd) {
	if (sd == null) {
		return false; }

	if (sd.mURL == null || sd.mServer == null) {
		return false; }

	if (mURL == null || mServer == null) {
		return false; }

	if (mURL.equals(sd.mURL) && mServer.equals(sd.mServer)) {
		return true; }
		
	return false;
}

public void validate() {
	if (mURL == null) {
		mURL = new String(""); } }

}
