/*****************************************************************
Title:  StreamWatchFactory.java
Date:   12/5/00
Author: Michael Larson

Comments:
StreamWatchFactory creates StreamWatch objects. Can be updated to 
support pooling mechanism in the future if number of concurrent
connections increases.
*******************************************************************/

package streamhealth;

public class StreamWatchFactory {
public StreamWatchFactory() {super();}
public StreamWatch getStreamWatch(String streamType) {
StreamWatch streamWatch = null;
	
	if (streamType.equals(Konstants.kTYPE_STREAM_IMAGE)) {
		streamWatch = new ImageWatch(); }
	else if (streamType.equals(Konstants.kTYPE_STREAM_VIDEO)) {
		streamWatch = new RealVideoWatch(); }
	else {
		System.out.println("Undefined stream type in StreamWatchFactory::getStreamWatch() "); }
	return streamWatch;
}
}
