// *****
// * PROJECT:		Memory utilities
// * FILENAME: 		MemDbgMacros.h
// * AUTHOR:		Jeff Ishaq 04/27/01 jishaq@earthlink.net
// * 
// * DESCRIPTION:	Macros that redefine (remap) the primary PalmOS Memory Manager
// *                allocation and deallocation APIs.
// *
// * NOTES:         These remap the memory manager functions using defines.  We use 
// *                #ifndef/#endif blocks for each one to allow for multiple inclusions
// *                of this file.  This is necessary if, for example, a module already
// *                uses the Placement New operator and we have to '#undef new' it for 
// *                the duration of that source code module.  At the end of the module, 
// *                we simple re-#include this file, and only the #undef'd defines (in
// *                this example, just '#define new')  are redefined.  
// *
// * COPYRIGHT:  	With the exception of this comment block, you are free to modify
// *				and/or to reuse this source code as you see fit.  For the sake
// *				of documentation, I ask that you leave this base comment block
// *                intact, and I encourage you to extend it as necesary.
// *
// * REVISION HISTORY:
// *	NAME	DATE		DESCRIPTION
// *    -------------------------------------------------------------------------------
// *    JeffI   04/29/01    Tidied up for publication
// *****

#ifndef MemHandleNew
	#define MemHandleNew(x) _DbgMemHandleNew( x, __FILE__, __LINE__ )
#endif

#ifndef MemPtrNew
	#define MemPtrNew(x) _DbgMemPtrNew( x, __FILE__, __LINE__ )
#endif

#ifndef new
	#define new new(__FILE__, __LINE__)
#endif
