// *****
// * PROJECT:		Memory utilities
// * FILENAME: 		MyPilot.h
// * AUTHOR:		Jeff Ishaq 04/27/01 jishaq@earthlink.net
// * 
// * DESCRIPTION:	Wrapper for PalmOS SDK disgrepencies in [Pilot|PalmOS].h file
// *
// * NOTES:         If you are linking against the PalmOS SDK v3.5, you want to use
// *                <PalmOS.h> and <PalmCompatibilty.h> here.
// *
// *                If you are linking against earlier versions, you want to use
// *                <Pilot.h> here.
// *
// *                I've implemented Metrowerks-specific logic for trying to best-
// *                guess the right files to include.  Special cases, like a CW6
// *                user who is linking against PalmOS 3.5 SDK, will entail coming
// *                in here and fiddling.  Sorry, can't please everybody!
// *
// * COPYRIGHT:  	With the exception of this comment block, you are free to modify
// *				and/or to reuse this source code as you see fit.  For the sake
// *				of documentation, I ask that you leave this base comment block
// *                intact, and I encourage you to extend it as necesary.
// *
// * REVISION HISTORY:
// *	NAME	DATE		DESCRIPTION
// *    -------------------------------------------------------------------------------
// *    JeffI   04/27/01    Initial implementation to support CW6 AND CW6,
// *                        in particular the versions of the SDKs against
// *                        which they build.
// *****

#ifdef __MWERKS__

//
// BEGIN METROWERKS-SPECIFIC CODE
//
    #if __MWERKS__ > 0x2400    
        #include <PalmOS.h>     // Don't panic if this file "cannot be opened"!
        #include <PalmCompatibility.h>
    #else                       
        #include <Pilot.h>      // Don't panic if this file "cannot be opened"!
    #endif
//
// END METROWERKS-SPECIFIC CODE
//

#else // else it appears that __MWERKS__ is not defined:

    // For non-Metrowerks environments, our best guess is that we want to link
    // with the OS 3.5 SDK files:
    #include <PalmOS.h>             // Don't panic if this file "cannot be opened"!
    #include <PalmCompatibility.h>  // Don't panic if this file "cannot be opened"!

#endif  
